﻿using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Drawing;
using GrapeCity.Documents.Pdf.Annotations;

namespace prj_DemoPdf
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("PDF is being created.");
            // Create a new PDF document:
            GcPdfDocument doc = new GcPdfDocument();
            // Add a page, get its graphics:
            GcPdfGraphics g = doc.NewPage().Graphics;
            // Render a string into the page:
            g.DrawString("Hello, World!",
            // Use a standard font (the 14 standard PDF fonts are built into GcPdf
            // and are always available):
            new TextFormat() { Font = StandardFonts.Times, FontSize = 12 },
            // GcPdf page coordinates start at top left corner, using 72 dpi by default:
            new PointF(72, 72));
            // Save the PDF:
            FileStream stream = new FileStream("newPdf.pdf", FileMode.Create);
            doc.Save(stream);
            Console.WriteLine("Press any key to exit...");
            Console.ReadKey();
        }
    }
}
